gnutls_certificate_set_verify_limits(3)

NAME
gnutls_certificate_set_verify_limits - set the upper limits to be used at certificate verification

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_set_verify_limits(gnutls_certificate_credentials_t res, unsigned int max_bits, unsigned int max_depth);

ARGUMENTS

gnutls_certificate_credentials_t           res
    is a gnutls_certificate_credentials structure

unsigned int max_bits
    is the number of bits of an acceptable certificate (default 8200)

unsigned int max_depth
    is maximum depth of the verification of a certificate chain (default 5)

DESCRIPTION
This function will set some upper limits for the default verification function, gnutls_certificate_verify_peers2(), to avoid denial of service attacks. You can set them to zero to disable limits.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.